import { IVpc } from 'aws-cdk-lib/aws-ec2';
import { CfnApplication } from 'aws-cdk-lib/aws-emrserverless';
import { CfnApplicationProps } from 'aws-cdk-lib/aws-emrserverless/lib/emrserverless.generated';
import { Construct } from 'constructs';
import { EzConstruct } from '../ez-construct';
export declare class SimpleServerlessApplication extends EzConstruct {
    /** @internal */ private _vpc?;
    /** @internal */ private _applicationName;
    /** @internal */ private _privateSubnetIds;
    /** @internal */ private _securityGroup?;
    /** @internal */ private _application?;
    private readonly _scope;
    constructor(scope: Construct, id: string);
    get application(): CfnApplication | undefined;
    name(name: string): SimpleServerlessApplication;
    vpc(v: IVpc | string): SimpleServerlessApplication;
    private createMathExpression;
    private createMetric;
    private createTextWidget;
    private createSingleValueWidget;
    private createGraphWidget;
    private createGuageWidget;
    private createDashboard;
    assemble(props?: CfnApplicationProps): SimpleServerlessApplication;
    /**
     * Will create the default properties for the EMR Serverless Application
     * @private
     */
    private defaultProps;
}
